org.jboss.netty.handler.queue

## Class BlockingReadTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.InterruptedIOException
        - - org.jboss.netty.handler.queue.BlockingReadTimeoutException

All Implemented Interfaces:
  Serializable

    public class BlockingReadTimeoutException
    extends InterruptedIOException

A `IOException` raised by `BlockingReadHandler` when no data was read within a certain period of time.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.io.InterruptedIOException

`bytesTransferred`

### Constructor Summary

Constructors
Constructor and Description
`BlockingReadTimeoutException()` Creates a new instance.
`BlockingReadTimeoutException(String message)` Creates a new instance.
`BlockingReadTimeoutException(String message, Throwable cause)` Creates a new instance.
`BlockingReadTimeoutException(Throwable cause)` Creates a new instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BlockingReadTimeoutException

    public BlockingReadTimeoutException()

Creates a new instance.

#### BlockingReadTimeoutException

    public BlockingReadTimeoutException(String message,
                                Throwable cause)

Creates a new instance.

#### BlockingReadTimeoutException

    public BlockingReadTimeoutException(String message)

Creates a new instance.

#### BlockingReadTimeoutException

    public BlockingReadTimeoutException(Throwable cause)

Creates a new instance.